## mysql-5.5 5.5.60

=== debian/changelog ===
mysql-5.5 (5.5.60-0+deb7u1) wheezy-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * Imported Upstream version 5.5.60 to fix security issues:
    - http://www.oracle.com/technetwork/security-advisory/cpuapr2018-3678067.html
    - CVE-2018-2755 CVE-2018-2761 CVE-2018-2771 CVE-2018-2773 CVE-2018-2781
    - CVE-2018-2813 CVE-2018-2817 CVE-2018-2818 CVE-2018-2819
  * Drop mysql(_client_)test(_embedded) manpages, they are gone.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 19 Apr 2018 00:09:27 +0200

mysql-5.5 (5.5.59-0+deb7u1) wheezy-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * Imported Upstream version 5.5.59 to fix security issues:
    - http://www.oracle.com/technetwork/security-advisory/cpujan2018-3236628.html
    - CVE-2018-2562 CVE-2018-2622 CVE-2018-2640 CVE-2018-2665 CVE-2018-2668

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 18 Jan 2018 23:20:13 +0100

mysql-5.5 (5.5.58-0+deb7u1) wheezy-security; urgency=high

  * Imported upstream version 5.5.58 to fix security issues:
    - http://www.oracle.com/technetwork/security-advisory/cpuoct2017-3236626.html
    - CVE-2017-10268 CVE-2017-10378 CVE-2017-10379 CVE-2017-10384
    (Closes: #878402)

 -- Lars Tangvald <lars.tangvald@oracle.com>  Tue, 17 Oct 2017 10:24:21 +0200

mysql-5.5 (5.5.57-0+deb7u1) wheezy-security; urgency=high

  * Imported upstream version 5.5.57 to fix security issues:
    - http://www.oracle.com/technetwork/security-advisory/cpujul2017-3236622.html
    - CVE-2017-3635 CVE-2017-3636 CVE-2017-3641 CVE-2017-3648
    - CVE-2017-3651 CVE-2017-3652 CVE-2017-3653
    (Closes: #868788)

 -- Lars Tangvald <lars.tangvald@oracle.com>  Thu, 20 Jul 2017 12:38:50 +0200

mysql-5.5 (5.5.55-0+deb7u1) wheezy-security; urgency=high

  * Imported upstream version 5.5.55 to fix security issues:
    - http://www.oracle.com/technetwork/security-advisory/cpuapr2017-3236618.html
    - CVE-2017-3302 CVE-2017-3305 CVE-2017-3308 CVE-2017-3309
    - CVE-2017-3329 CVE-2017-3453 CVE-2017-3456 CVE-2017-3461
    - CVE-2017-3462 CVE-2017-3463 CVE-2017-3464 CVE-2017-3600
    (Closes: #860544)
    (Closes: #854713)
  * d/patches: refreshed 62_disable_tests.patch
  * d/patches: dropped fix_test_events_2.patch. Issue fixed upstream
  * d/patches: dropped fix use after free patch. Issue fixed upstream

 -- Lars Tangvald <lars.tangvald@oracle.com>  Wed, 19 Apr 2017 07:05:34 +0200

mysql-5.5 (5.5.54-0+deb7u2) wheezy-security; urgency=medium

  * Fix use after free bug in mysql_prune_stmt_list()

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 30 Jan 2017 19:32:56 +0100

mysql-5.5 (5.5.54-0+deb7u1) wheezy-security; urgency=high

  * Imported Upstream version 5.5.54 to fix security issues:
    - http://www.oracle.com/technetwork/security-advisory/cpujan2017-2881727.html
    - CVE-2017-3238 CVE-2017-3243 CVE-2017-3244 CVE-2017-3258
    - CVE-2017-3265 CVE-2017-3291 CVE-2017-3312 CVE-2017-3313
    - CVE-2017-3317 CVE-2017-3318
  * Fix failing test main.events_2
    The test was failing due to hardcoded event date.

 -- Lars Tangvald <lars.tangvald@oracle.com>  Wed, 18 Jan 2017 08:33:51 +0100

mysql-5.5 (5.5.53-0+deb7u1) wheezy-security; urgency=high

  [ Balint Reczey ]
  * Non-maintainer upload by the Debian LTS team. Thanks to Lars
    Tangvald for preparing the package.

  [ Lars Tangvald ]
  * Imported Upstream version 5.5.53 to fix security issues:
    - http://www.oracle.com/technetwork/security-advisory/cpuoct2016-2881722.html
    - CVE-2016-6662 CVE-2016-7440 CVE-2016-5584
    (Closes: #841050)
  * Packaging will now create /var/lib/mysql-files, as server will now by
    default restrict all import/export operations to this directory. This
    can be changed using the secure-file-priv config option.

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 15 Nov 2016 21:51:57 +0100

mysql-5.5 (5.5.52-0+deb7u1) wheezy-security; urgency=high

  [ Roberto C. Sanchez ]
  * Non-maintainer upload by the Debian LTS team. Thanks to Lars
    Tangvald for preparing the package.

  [ Lars Tangvald ]
  * Imported Upstream version 5.5.52 to fix security issue:
    - CVE-2016-6662

 -- Roberto C. Sanchez <roberto@debian.org>  Wed, 14 Sep 2016 10:57:09 +0200

mysql-5.5 (5.5.50-0+deb7u2) wheezy-security; urgency=medium

  * Rebuild to follow previous wheezy-security history. The previous
    upload was made on top of jessie-security's.
  * Add fix-mysqlhotcopy-test-failure.patch
  * Drop 73_fix_rpl_deadlock_innodb_test.patch
  * Import debian/tests from jessie-security.
    - debian/control: Add XS-Testsuite: autopkgtest stanza.
    - debian/tests/control: Fix upstream test dependency on versioned
      mysql-testsuite-5.5

 -- Santiago R.R. <santiagorr@riseup.net>  Thu, 04 Aug 2016 15:02:44 +0200

mysql-5.5 (5.5.50-0+deb7u1) wheezy-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team
  * Rebuild for wheezy-security. Imported from jessie-security to fix security
    issues:
    - http://www.oracle.com/technetwork/security-advisory/cpujul2016-2881720.html
    - CVE-2016-3477 CVE-2016-3521 CVE-2016-3615 CVE-2016-5440

 -- Santiago R.R. <santiagorr@riseup.net>  Tue, 26 Jul 2016 20:14:07 +0200

mysql-5.5 (5.5.49-0+deb7u1) wheezy-security; urgency=high

  [ Santiago Ruano Rincón ]
  * Non-maintainer upload by the Debian LTS team. Thanks to Lars Tangvald and
    Robie Basak for preparing and testing the package.

  [ Lars Tangvald ]
  * Imported Upstream version 5.5.49 to fix security issues:
    - http://www.oracle.com/technetwork/topics/security/cpuapr2016-2881694.html
    - CVE-2016-0640 CVE-2016-0641 CVE-2016-0642 CVE-2016-0643 CVE-2016-0644
      CVE-2016-0646 CVE-2016-0647 CVE-2016-0648 CVE-2016-0649 CVE-2016-0650
      CVE-2016-0666 CVE-2016-2047
    (Closes: #821100)
  * Remade revert-to-_sync_lock_test_and_set.patch, due to upstream source
    changes.

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Thu, 28 Apr 2016 18:24:58 +0200
