=== debian/tests/control ===
Tests: build
Depends: libmysqlclient-dev, build-essential

Tests: upstream
Depends: mysql-testsuite-5.5
